<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		GeneralModuleManager.class.php
 * @brief		一般用モジュールクラス
 * @date		2007.01.24
 */

require_once(CLASS_DIR."/adodb/BitcubeDB.class.php");

class GeneralModuleManager extends BitcubeDB
{
	function GeneralModuleManager()
	{
		$this->BitcubeDB();
	}
	
	// モジュール情報取得
	function getModuleInfo($group_code,$module_code)
	{
		// SQL文
		$sql  = " select ";
		$sql .= " $this->template_module.module_code ";
		$sql .= " ,$this->template_module.group_code ";
		$sql .= " ,$this->template_module.module_body ";
		$sql .= " from ";
		$sql .= " $this->template_module ";
		$sql .= " where $this->template_module.is_delete = 0 and $this->template_module.group_code = $group_code and $this->template_module.module_code = $module_code ";
		
		return $this->GetRow($sql);
	}
}
